Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class ObjectProperty

    java.lang.Object
      ix.icore.domain.ObjectProperty

    public class ObjectProperty

extends java.lang.Object

Nested Class Summary
`static class` | `ObjectProperty.Syntax`

Field Summary
`protected Symbol` | `name`
`protected ObjectProperty.Syntax` | `syntax`
`protected Symbol` | `valueClassName`

Constructor Summary
`ObjectProperty()`
`ObjectProperty(Symbol name, Symbol valClass)`
`ObjectProperty(Symbol name, Symbol valClass, ObjectProperty.Syntax syntax)`

Method Summary
`ObjectProperty.Syntax` | `getDefaultedSyntax()`
`Symbol` | `getName()`
`ObjectProperty.Syntax` | `getSyntax()`
`Symbol` | `getValueClassName()`
`void` | `setName(Symbol name)`
`void` | `setSyntax(ObjectProperty.Syntax syntax)`
`void` | `setValueClassName(Symbol valueClassName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected Symbol name

### valueClassName

    protected Symbol valueClassName

### syntax

    protected ObjectProperty.Syntax syntax

Constructor Detail

### ObjectProperty

    public ObjectProperty()

### ObjectProperty

    public ObjectProperty(Symbol name,
                          Symbol valClass)

### ObjectProperty

    public ObjectProperty(Symbol name,
                          Symbol valClass,
                          ObjectProperty.Syntax syntax)

Method Detail

### getName

    public Symbol getName()

### setName

    public void setName(Symbol name)

### getValueClassName

    public Symbol getValueClassName()

### setValueClassName

    public void setValueClassName(Symbol valueClassName)

### getSyntax

    public ObjectProperty.Syntax getSyntax()

### setSyntax

    public void setSyntax(ObjectProperty.Syntax syntax)

### getDefaultedSyntax

    public ObjectProperty.Syntax getDefaultedSyntax()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD